
* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}

html, body {
  font-family: 'Concert One', Arial, Helvetica, sans-serif;
}

body {
  height: 100vh;
  max-width: 1024px;
  max-height: 800px;
  margin: 0 auto;
  border: 2px solid #707070;
}

.header {
  align-items: center;
  background-color: #ef5350;
  display: flex;
  gap: .4rem;
  height: 7%;
  justify-content: center;
  padding: 0.5rem;
}

.header__fig {
  display: flex;
  justify-content: center;
  align-items: center;
}

.header__img {
  width: 2rem;
  margin-right: 1rem;
}

.header__title {
  color: #ffcb05;
  font-size: 1.6rem;
  letter-spacing: -1px;
  overflow: hidden;
  text-shadow: 0 0 3px #3c5aa6;
  -webkit-text-stroke: 0.6px #2a75bb;
}

.header__title::after {
  content: '_';
  color: #fff;
}

.main {
  align-items: center;
  background-color: rgb(174, 213, 214);
  column-gap: 2rem;
  display: flex;
  height: 60%;
  flex-direction: column;
  padding-inline: 2rem;
}

.pokemon {
  align-items: center;
  display: flex;
  flex-direction: column;
  padding-block: .5rem;
  width: 70%;
}

.pokemon__container {
  align-items: center;
  background-color: #fff;
  border-radius: 5px;
  display: flex;
  gap: 0.4rem;
  justify-content: center;
  margin-bottom: 0.8rem;
  padding: 0.4rem;
  width: 100%;
}

.pokemon__fig {
  width: 100%;
}

.pokemon__title {
  display: flex;
  justify-content: center;
  align-items: center;
  gap: 1rem;
}

.pokemon__name {
  font-size: 0.8rem;
}


.pokemon__element {
  width: 1rem;
}

.pokemon__img {
  filter: drop-shadow(2px 2px 5px #363636);
  width: 100%;
  height: 100%;
}

.pokemon-info {
  background-color: #fff;
  border-radius: 5px;
  height: 45%;
  margin: 0 auto;
  margin-top: -2rem;
  padding: 1rem;
  width: 70%;
  display: grid;
  align-items: center;
  justify-content: center;
  /* max-width: 20rem; */
}

.pokemon__item {
  display: flex;
  column-gap: 1rem;
}

.pokemon__info-desc, .pokemon__info-title {
  color: #707070;
  font-size: .8rem;
  min-width: 50%;
  text-align: left;
}

.pokemon__info-title::first-letter, .pokemon__info-desc::first-letter{
  text-transform: capitalize;
}

.footer {
  align-items: center;
  background-color: #fff;
  display: flex;
  flex-direction: column;
  height: 26%;
  row-gap: .5rem;
  margin-top: 0.5rem;

}

.footer__title {
  color: #707070;
  font-size: 1.2rem;
  width: 30%;
  text-align: center;
}

.footer__carrousel {
  display: grid;
  gap: 1rem;
  grid-template-columns: repeat(2, 70px);
}

.footer__item {
  aspect-ratio: 1/1;
  border-radius: 0.5rem;
  cursor: pointer;
  padding: .5rem;
  transition: all 0.5s;
  /* width: 80%; */
}

.footer__item:hover {
  filter: brightness(0.5);
  transform: scale(1.1);
}

.footer__img {
  aspect-ratio: 1/1;
  border-radius: 50%;
  width: 100%;
  height: 100%;
}

@media screen and (min-width: 760px){
  .header {
    height: 10%;
    justify-content: flex-start;
  }

  .header__title {
    height: auto;
  }

  .main {
    height: 75%;
    flex-direction: row;
    padding-inline: 10%;
  }

  .pokemon {
    height: 80%;
    justify-content: space-between;
    padding-block: 0;
    row-gap: 1rem;
    width: 50%;
  }

  .pokemon__container {
    width: 250px;
  }


  .pokemon__img {
    width: 100%;
    height: 100%;
  }

  .pokemon__name {
    font-size: 1.5rem;
  }


  .pokemon__element {
    width: 2rem;
  }

  .pokemon-info {
    display: flex;
    flex-wrap: wrap;
    height: 80%;
    margin-top: 0;
    width: 50%;
  }

  .pokemon__item {
    display: flex;
    flex-direction: column;
    justify-content: center;
    width: 50%;
  }

  .pokemon__info-title {
    font-size: 1.2rem;
    text-align: center;
  }

  .pokemon__info-desc {
    font-size: 1.5rem;
    text-align: center;
    color: #363636;

  }

  .footer {
    flex-direction: row;
    height: 15%;
    justify-content: space-between;
    align-items: center;
    padding-inline: 10%;
  }


  .footer__title {
    text-align: left;
  }

  .footer__carrousel {
    /* column-gap: 3.5rem; */
    grid-template-columns: repeat(4, 1fr);
    justify-items: end;
  }

  .footer__item {
    display: flex;
    justify-content: center;
    align-items: center;
  }

  .footer__img {
    height: 3.3rem;
    width: 3.3rem;
  }

}


@media screen and (min-width: 1024px){

  .header {
    padding-inline: 2rem;
    gap: 1rem;
  }

  .header > img {
    width: 2.3rem;
  }

  .header__title {
    font-size: 2rem;
  }

  .main {
    column-gap: 10%;
    height: 71%;
  }

  .pokemon {
    width: 50%;
    align-items: initial;
  }

  .pokemon__container {
    padding: .5rem;
    width: 300px;
    margin-inline: 5%;
  }

  .pokemon__img {
    width: 100%;
    height: 100%;

  }

  .pokemon__element {
    width: 2.5rem;
  }

  .pokemon-info {
    width: 50%;
  }

  .footer {
    height: 18%;
  }


  .footer__carrousel {
    column-gap: 2rem;
    width: 70%;
  }

  .footer__title {
    font-size: 1.5rem;
  }

  .footer__img {
    height: 4rem;
    width: 4rem;
  }

}